/****************************************************************************
 * UniPROG Universal programmer 
 * Command line parser
 * 
 * Daniel Quintero <danielqg@infonegocio.com>
 *
 * 20/05/2001 - First version, Use direct hardware
 * 12/06/2001 - Windows NT support using dlportio.dll
 * 19/07/2003 - Linux suport added
 * 21/08/2003 - Added timing fuctions for linux
 * 02/09/2003 - Timmings functions headers moved to stdhdr.h
 */

#ifndef PORTIO_H
#define PORTIO_H

#ifdef __WIN32__
    #include <windows.h>
    #include "dlportio/dlportio.h"
#endif

#ifdef __LINUX__
    #include <asm/io.h>
    #include <sys/perm.h>
    #include <sys/time.h>
    #include <unistd.h>
#endif

/* Change those defines to match your compiler. */
// #define USE_DIRECT_IO

#ifdef USE_DIRECT_IO
  #define OUTPORT(port, val)            outp(port, val)
  #define INPORT(port)		        inp(port)
#else
  #ifdef __WIN32__
     #define OUTPORT(port, val)         DlPortWritePortUchar(port, val)
     #define INPORT(port)               DlPortReadPortUchar(port)
  #endif
  #ifdef __LINUX__
     #define OUTPORT(port,val)          outb(val, port)
     #define INPORT(port)               inb(port)
  #endif 
#endif


// I/O Functions
#ifdef USE_DIRECT_IO
  void outp(WORD port, BYTE data);
  BYTE inp(WORD port);
#endif


#endif // PORTIO_H
