/****************************************************************************
 * UniPROG Universal programmer 
 * Global includes and o/s compatibility
 * 
 * Daniel Quintero <danielqg@infonegocio.com>
 *
 * 23/07/2003 - First version
 */

#ifndef HDR_H
#define HDR_H

// libraries includes

//#include <windows.h>
#include <assert.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
//#include <conio.h>
#include <ctype.h>


#ifdef linux
  #define __LINUX__
#endif

#ifdef __LINUX__
  #include <termios.h>
#endif

#ifndef __WIN32__
   typedef unsigned char BYTE;
   typedef unsigned short WORD;
   typedef unsigned int DWORD;
   #define TRUE 1
   #define FALSE 0;
#endif


// Wait functions
#ifdef __LINUX__
  #define waitms(ms)    usleep(ms*1000) 
  long getms( void );
#endif
#ifdef __WIN32__
  #define waitms(ms)    Sleep(ms)
  #define getms()       GetTickCount()
#endif


#endif // HDR_H
